package main

// A plugin has Parse and Update
type Plugin interface {
	Type() string
	Parse(*Node) error
	Update(*Node) error
}

// Convert func
//
// Converts a Plugin into a Profile (only if it can)
func PlugToProfile(p Plugin) *Profile {
	if p.Type() != "Profile" {
		return nil
	}
	return p.(*Profile)
}
